[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragObject.EndDrag

Called when a dragging operation ends.

## Declaration

Source position: controls.pp line 360

`protected procedure TDragObject.EndDrag(`
`Target: TObject;`
`X: Integer;`
`Y: Integer`
`); virtual;`

## Description

The default implementation calls source.DoEndDrag, which in turn invokes an OnEndDrag handler.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .